@import "../../global.scss";

.fill-wrapper {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 0;
  height: 100%;
  object-fit: cover;
}

.home-banner {
  // background: url(../../assets/images/ZHA-banner-31.jpg);
  background-size: cover;
  min-height: 100vh;
  // padding: 0px 0px 150px 0;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;

  h1 {
    font-size: 75px;
    font-weight: 700;
    color: $Lime;
    line-height: 1.2;
    // margin-top: a;
    display: flex;

    @include mtablet {
      font-size: 52px;
    }
  }

  .container_padding {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
}

.maintenance_message {
  background-color: yellow;
  padding: 10px;
  width: 100%;
  position: absolute;
  z-index: 59;
  margin-top:-12px ;
  @include mtablet {
    padding: 27px;
    margin-top: -10%;
  }
  @include minMax5 {
    padding: 30px;
  }
  @include mmobile{
    margin-top: -73px;
  }
}

.title {
  font-size: 60px;
  font-weight: 500;
  line-height: 1;
  color: #094658;
  background-color: white;
  transform: rotate(90deg);
  position: absolute;
  left: -11rem;
  padding: 18px;
  top: 8rem;

  @include mtablet {
    font-size: 40px;
    left: -8rem;
  }
  @include mmobile {
    transform: none;
    position: relative;
    padding: 0px;
    margin-left: 0.3em;
    left: 0;
    top: 0;
  }
}

.insightTitle {
  font-size: 60px;
  font-weight: 700;
  line-height: 1;
  color: $Blue;
  margin-top: 90px;
  @include mmobile{
    margin-top: 20px;
  }

  @include mtablet {
    font-size: 40px;
  }
}

.bg-light-teal {
  background: rgba($Teal, 0.2);

  .content-area {
    @include mtablet {
      margin-top: 200px;
    }

    @include mmobile {
      margin-top: 120px;
    }
  }

  .bulb-icon {
    width: 50px;
  }

  h5 {
    color: $Teal;
    font-size: 26px;
    font-family: "Mier B Book";

    @include mtablet {
      font-size: 20px;
    }
  }
}

.right-imge {
  object-fit: cover;
}

.speed-section {
  // background: url(../../assets/images/jared-arango-1-mh6U3qeGQ-unsplash.jpg)
  // no-repeat;
  position: relative;
  background-size: cover;
  padding-bottom: 20px;
  overflow: hidden;

  .title {
    color: $Lime;
  }

  .speed-container {
    margin-top: 120px;
  }

  .speed-card {
    h6 {
      font-size: 30px;
      font-weight: bold;
      color: $Teal;
      display: inline-block;
      position: relative;

      &::before {
        content: "";
        background: url(../../assets/images/ZHA-left-bracket.png) no-repeat;
        position: absolute;
        width: 15px;
        height: 25px;
        left: -25px;
        top: 50%;
        @include transform(translateY(-50%));
        background-size: contain;
      }

      &::after {
        content: "";
        background: url(../../assets/images/ZHA-right-bracket.png) no-repeat;
        position: absolute;
        width: 15px;
        height: 25px;
        right: -25px;
        top: 50%;
        @include transform(translateY(-50%));
        background-size: contain;
      }
    }

    p {
      font-size: 22px;
      line-height: 1.2;
    }
  }
}

.insights-section {
  padding-bottom: 70px;
}

.custom-media {
  align-items: inherit;
  height: 100%;

  @include mmobile {
    display: block;
  }
  .media-left {
    width: 60%;
    @include mmobile {
      width: 100%;
    }
  }

  .media-body {
    // height: 100%;
    padding: 10px;
    color: $DarkBlue;
    transition: all ease 0.4s;
    background-color: #f0f5f7;

    @include highResScreen {
      padding-left: 26px;
    }

    h3 {
      font-size: 20px;
      font-weight: bold;
      @include mmobile {
        font-size: 16px;
      }
    }

    h4 {
      font-size: 12px;
      font-weight: bold;

      @include mtablet {
        font-size: 15px;
      }
    }

    p {
      font-family: "Mier B Book";
    }

    .read-more {
      font-family: "Mier B Book";
      color: #06333f;
      font-size: 13px;
      font-weight: 500;
      text-transform: uppercase;
      text-decoration: none;
      // text-align: center;
      // padding-top: 1.5em;
      transition: all ease 0.4s;
      @include transition(all ease 0.4s);
      @include mmobile {
        font-size: 12px;
      }

      // &::after {
      //   content: "";
      //   height: 2px;
      //   width: 6rem;
      //   background-color: #06333f;
      //   left: 4.2rem;
      //   position: absolute;
      //   margin-top: 7px;

      //   @include screen4k{
      //     width: 6rem !important;
      //     left: 8rem;
      //   }

      //   @include highResScreen {
      //     width: 5rem !important;
      //     left: 4rem;
      //   }

      //   @include maxDesktop {
      //     left: 2.4rem;
      //   }
      //   @include mdesktop {
      //     left: 2.6rem;
      //     margin-top: 8px;
      //   }
      //   @include ipadpro {
      //     left: 2rem;
      //   }
      //   @include mtablet {
      //   left: 2.2rem;
      //   width: 1.5rem;
      //   margin-top: 9px;
      //   }
      // }
    }
  }

  &:hover {
    .media-body {
      // border: 1px solid $Blue;
      .read-more {
        color: $Blue;
      }
    }
  }
}

.stRead {
  font-family: "Mier B Book";
  color: #06333f;
  font-size: 13px;
  font-weight: 500;
  text-transform: uppercase;
  text-decoration: none;
  text-align: center;
  padding-top: 1.5em;
  transition: all ease 0.4s;
  @include transition(all ease 0.4s);

  &::after {
    content: "";
    height: 2px;
    width: 3rem;
    background-color: #06333f;
    left: 27rem;
    position: absolute;
    margin-top: 7px;

    @include ipadpro {
      width: 2rem;
      left: 19rem;
    }

    @include maxDesktop {
      left: 29rem;
    }

    @include highResScreen {
      left: 31rem;
    }
  }
}

.read-more2 {
  font-family: "Mier B Book";
  color: #06333f;
  font-size: 13px;
  font-weight: 500;
  text-transform: uppercase;
  text-decoration: none;
  // text-align: center;
  // padding-top: 1.5em;
  transition: all ease 0.4s;
  position: relative;
  @include transition(all ease 0.4s);
  @include mmobile {
    font-size: 12px;
  }

  // &::after {
  //   content: "";
  //   height: 2px;
  //   width: 3.3rem;
  //   background-color: #06333f;
  //   left: 1.3rem;
  //   position: absolute;
  //   margin-top: 7px;

  //   @include screen4k{
  //     // width: 8rem;
  //     left: 3rem;
  //   }

  //   @include highResScreen {
  //     width: 6rem;
  //     left: 1rem;
  //   }

  //   @include maxDesktop {
  //     left: 1.0rem !important;

  //   }
  //   @include mdesktop {
  //     left: 0rem;
  //   }
  //   @include ipadpro {
  //     left: 0rem;
  //     width: 2.5rem;
  //   }
  //   @include mtablet {

  //   left: 0.2rem;
  //   width: 1.5rem;
  //   margin-top: 9px;
  //   }
  // }
  &:hover {
    color: $Blue;
    text-decoration: none;
  }
}

.readMoreDiv {
  height: 1px;
  background-color: #06333f;
  width: 5rem;
  margin-right: 5px;
  margin-left: 5px;
  @include mmobile {
    width: 3rem;
  }
}
.readMoreDiv2 {
  height: 1px;
  background-color: #06333f;
  width: 4rem;
  margin-right: 5px;
  margin-left: 24px;
  @include mmobile {
    width: 3rem;
    margin-left: 15px;
  }
}

.readMoreContainer {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  margin-top: 1.5em;
}
.insightblock {
  min-height: 100vh;
  @include ipadpro {
    min-width: 60vh;
  }
  @include mmobile {
    min-width: 10vh;
  }
}
